<div class="header">
  <div class="left-part">
    <div *ngIf="!(foldersWithIntermediateFoldersObs | async | isNullOrUndefined) && (foldersWithIntermediateFoldersObs | async | isNonEmptyArray)"
         class="selector-file-view-mode"
    >

      <a (click)="selectFolder('/')"
         [class.is-active]="currentFileViewMode === fileViewModeEnum.FolderView"
         [class.no-hover-animation]="currentFileViewMode === fileViewModeEnum.FolderView"
      >
        <solidify-icon [iconName]="iconNameEnum.foldersView"></solidify-icon>
        {{'deposit.file.button.showTree' | translate}}
      </a>

      <a (click)="selectFolder(undefined)"
         [class.is-active]="currentFileViewMode === fileViewModeEnum.FlatView"
         [class.no-hover-animation]="currentFileViewMode === fileViewModeEnum.FlatView"
      >
        <solidify-icon [iconName]="iconNameEnum.filesView"></solidify-icon>
        {{'deposit.file.button.flatView' | translate}}
      </a>
    </div>

    <button (click)="selectAndResumeAll()"
            *ngIf="(canEditObs | async) === depositEditModeEnum.full && (listDataFileObs | async)?.length > 0 && isInErrorStatusFilter"
            class="button-select-and-resume"
            color="primary"
            mat-button
            type="button"
    >
      <solidify-icon [iconName]="iconNameEnum.resumeAll"></solidify-icon>
      {{'deposit.file.button.selectAndResumeAll' | translate}}
    </button>

    <button (click)="selectAndDelete()"
            *ngIf="(canEditObs | async) === depositEditModeEnum.full && (listDataFileObs | async)?.length > 0"
            class="button-select-and-delete"
            color="primary"
            mat-button
            type="button"
    >
      <solidify-icon [iconName]="iconNameEnum.deleteAll"></solidify-icon>
      {{'deposit.file.button.selectAndDeleteAll' | translate}}
    </button>

    <ng-template [ngIf]="dataTablePresentational?.multiSelectionValueOnAllPages.length > 0">
      <ng-container *ngFor="let bulkAction of bulkActions">
        <button (click)="dataTablePresentational?.callBulkAction(bulkAction)"
                (onEnter)="dataTablePresentational?.callBulkAction(bulkAction)"
                *ngIf="bulkAction.displayCondition(dataTablePresentational?.multiSelectionValueOnAllPages) | solidifyAsync"
                [disabled]="isLoadingDataFileObs | async"
                color="primary"
                mat-button
                solidifyShortCuts
                type="button"
        >
          <solidify-icon [iconName]="bulkAction.icon"></solidify-icon>
          {{bulkAction.labelToTranslate() | solidifyAsync | translate}}
        </button>
      </ng-container>
    </ng-template>
  </div>
  <div class="right-part">
  </div>
</div>

<div [solidifyFocusFirstElement]="true"
     class="file-viewer"
     [class.with-folder]="currentFileViewMode === fileViewModeEnum.FolderView && (foldersWithIntermediateFoldersObs | async) | isNonEmptyArray"
>
  <ng-template [ngIf]="currentFileViewMode === fileViewModeEnum.FolderView && (foldersWithIntermediateFoldersObs | async) | isNonEmptyArray">
    <ng-container *ngIf="(intermediateFoldersObs | async) as intermediateFolders">
      <solidify-folder-tree (deleteFolder)="deleteFolder($event)"
                            (downloadFolder)="downloadFolder($event)"
                            (moveChange)="moveDataFile($event)"
                            (selectChange)="selectFolder($event)"
                            (uploadInFolder)="uploadInFolder($event)"
                            *ngIf="!(intermediateFolders | isNullOrUndefined)"
                            [canUpload]="(canEditObs | async) === depositEditModeEnum.full && mode === modeDepositTabEnum.FILE"
                            [canDelete]="(canEditObs | async) === depositEditModeEnum.full"
                            [canDownload]="(currentObs | async)?.status !== depositEnum.CLEANED"
                            [currentFolder]="currentFolderObs | async"
                            [expandFirstLevel]="true"
                            [foldersWithIntermediateFolders]="foldersWithIntermediateFoldersObs | async"
                            [intermediateFolders]="intermediateFolders"
                            [isLoading]="isLoadingDataFileObs | async"
                            [draggingDataFile]="draggingDepositDataFile"
      ></solidify-folder-tree>
    </ng-container>
  </ng-template>

  <solidify-data-table #dataTablePresentational
                       (queryParametersChange)="onQueryParametersEvent($event)"
                       (queryParametersWithoutRefreshChange)="onQueryParametersEvent($event, false)"
                       (selectChange)="showDetail($event)"
                       [displayActionShowHistory]="true"
                       [displayActionCopyIdToClipboard]="true"
                       [actions]="actions"
                       [bulkActions]="bulkActions"
                       [columnsSkippedToClear]="$any(columnsToSkippedFilter)"
                       [columns]="columns"
                       [data]="listDataFileObs | async"
                       [solidifyDataTest]="dataTestEnum.depositFileDataTable"
                       [draggablePreviewColumn]="'fileName'"
                       [draggablePreviewMatIcon]="'insert_drive_file'"
                       [isDraggable]="(canEditObs | async) === depositEditModeEnum.full && currentFileViewMode === fileViewModeEnum.FolderView"
                       [isLoading]="isLoadingDataFileObs | async"
                       [displaySpinnerWhenLoading]="true"
                       [isMultiSelectable]="(canEditObs | async) === depositEditModeEnum.full"
                       [listCdkDropListId]="foldersWithIntermediateFoldersObs | async"
                       [preloadRowsForPage]="true"
                       [queryParameters]="queryParametersObs | async"
                       [skipInitialQuery]="true"
                       [stickyTopPosition]="40"
                       (dragStartChange)="dragStart($event)"
                       (dragEndChange)="dragEnd($event)"
                       (showHistoryChange)="showHistory($event)"
  >
  </solidify-data-table>

  <ng-template #noFile>
    <label>{{labelTranslateEnum.currentlyNoFilesInDeposit | translate}}</label>
  </ng-template>
</div>
